aboutsummaryrefslogtreecommitdiff
path: root/getrandom/utils/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'getrandom/utils/ci/script.sh')
-rw-r--r--getrandom/utils/ci/script.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/getrandom/utils/ci/script.sh b/getrandom/utils/ci/script.sh
new file mode 100644
index 0000000..b3e80d4
--- /dev/null
+++ b/getrandom/utils/ci/script.sh
@@ -0,0 +1,13 @@
+# Derived from https://github.com/japaric/trust
+
+set -ex
+
+main() {
+ cross test --target $TARGET
+ cross test --target $TARGET --examples
+}
+
+# we don't run the "test phase" when doing deploys
+if [ -z $TRAVIS_TAG ]; then
+ main
+fi